Kwalitee Issues

prereq_matches_use

List all used modules in META.yml requires

Error:

  • DBI
  • LWP::UserAgent
  • Module::Build
  • Template
  • Test::WWW::Mechanize

use_strict

Add 'use strict' (or its equivalents) to all modules, or convince us that your favorite module is well-known enough and people can easily see the modules are strictly written.

Error: Smolder, Smolder::AuthHandler, Smolder::Manual

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

no_unauthorized_packages

Ask the owner of the distribution (the one who released it first, or the one who is designated in x_authority) to give you a (co-)maintainer's permission.

Error:

  • Smolder
  • Smolder::AuthHandler
  • Smolder::AuthInfo
  • Smolder::Build
  • Smolder::Conf
  • Smolder::Constraints
  • Smolder::Control
  • Smolder::Control::Admin
  • Smolder::Control::Admin::Developers
  • Smolder::Control::Admin::Projects
  • Smolder::Control::Developer
  • Smolder::Control::Developer::Prefs
  • Smolder::Control::Graphs
  • Smolder::Control::Projects
  • Smolder::Control::Public
  • Smolder::Control::Public::Auth
  • Smolder::DB
  • Smolder::DB::Developer
  • Smolder::DB::Preference
  • Smolder::DB::Project
  • Smolder::DB::ProjectDeveloper
  • Smolder::DB::SmokeReport
  • Smolder::DB::TestFile
  • Smolder::DB::TestFileComment
  • Smolder::DB::TestFileResult
  • Smolder::Debug
  • Smolder::Dispatch
  • Smolder::Email
  • Smolder::Manual
  • Smolder::Mech
  • Smolder::Redirect
  • Smolder::Server
  • Smolder::Server::Control
  • Smolder::Server::PreFork
  • Smolder::TAPHTMLMatrix
  • Smolder::TestData
  • Smolder::TestScript
  • Smolder::Upgrade
  • Smolder::Upgrade::V0_1
  • Smolder::Upgrade::V0_3
  • Smolder::Upgrade::V1_1
  • Smolder::Upgrade::V1_21
  • Smolder::Upgrade::V1_24
  • Smolder::Upgrade::V1_30
  • Smolder::Upgrade::V1_37
  • Smolder::Upgrade::V1_50
  • Smolder::Util

use_warnings

Add 'use warnings' (or its equivalents) to all modules (this will require perl > 5.6), or convince us that your favorite module is well-known enough and people can easily see the modules warn when something bad happens.

Error: Smolder, Smolder::AuthHandler, Smolder::AuthInfo, Smolder::Control::Public::Auth, Smolder::Manual

build_prereq_matches_use

List all modules used in the test suite in META.yml build_requires

Error:

  • HTML::Template
  • HTTP::Request::Common
  • IO::Capture::Stderr
  • Test::LongString

meta_yml_has_repository_resource

Add a 'repository' resource to the META.yml via 'meta_add' accessor (for Module::Build) or META_ADD parameter (for ExtUtils::MakeMaker).

Modules

Name Abstract Version View
Smolder continuous integration smoke server 1.52 metacpan
Smolder::AuthHandler metacpan
Smolder::AuthInfo metacpan
Smolder::Build metacpan
Smolder::Conf Smolder configuration module metacpan
Smolder::Constraints metacpan
Smolder::Control metacpan
Smolder::Control::Admin metacpan
Smolder::Control::Admin::Developers metacpan
Smolder::Control::Admin::Projects metacpan
Smolder::Control::Developer metacpan
Smolder::Control::Developer::Prefs metacpan
Smolder::Control::Graphs metacpan
Smolder::Control::Projects metacpan
Smolder::Control::Public metacpan
Smolder::Control::Public::Auth metacpan
Smolder::DB metacpan
Smolder::DB::Developer metacpan
Smolder::DB::Preference metacpan
Smolder::DB::Project metacpan
Smolder::DB::ProjectDeveloper metacpan
Smolder::DB::SmokeReport metacpan
Smolder::DB::TestFile metacpan
Smolder::DB::TestFileComment metacpan
Smolder::DB::TestFileResult metacpan
Smolder::Debug metacpan
Smolder::Dispatch metacpan
Smolder::Email metacpan
Smolder::Manual How to use Smolder more effectively metacpan
Smolder::Mech metacpan
Smolder::Redirect metacpan
Smolder::Server metacpan
Smolder::Server::Control metacpan
Smolder::Server::PreFork metacpan
Smolder::TAPHTMLMatrix metacpan
Smolder::TestData metacpan
Smolder::TestScript setup various things for smolder tests scripts metacpan
Smolder::Upgrade Base class for Smolder upgrade modules metacpan
Smolder::Upgrade::V0_1 metacpan
Smolder::Upgrade::V0_3 metacpan
Smolder::Upgrade::V1_1 metacpan
Smolder::Upgrade::V1_21 metacpan
Smolder::Upgrade::V1_24 metacpan
Smolder::Upgrade::V1_30 metacpan
Smolder::Upgrade::V1_37 metacpan
Smolder::Upgrade::V1_50 metacpan
Smolder::Util metacpan

Other Files

Build.PL metacpan
Changes metacpan
MANIFEST metacpan
META.json metacpan
META.yml metacpan
README.md metacpan